Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlByte

All Superinterfaces:
  XmlAnySimpleType, XmlDecimal, XmlInt, XmlInteger, XmlLong, XmlObject, XmlShort, XmlTokenSource

All Known Implementing Classes:
  XmlByteImpl

    public interface XmlByte

extends XmlShort

Corresponds to the XML Schema xs:byte type.

Naturally, convertible to Java byte.

Nested Class Summary
`static class` | `XmlByte.Factory` A class with methods for creating instances of `XmlByte`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`byte` | `byteValue()` Deprecated. replaced by `getByteValue()`
`byte` | `getByteValue()` Returns this value as a byte
`void` | `set(byte s)` Deprecated. replaced by `setByteValue(byte)`
`void` | `setByteValue(byte s)` Sets this value as a byte

Methods inherited from interface org.apache.xmlbeans.XmlShort
`getShortValue, set, setShortValue, shortValue`

Methods inherited from interface org.apache.xmlbeans.XmlInt
`getIntValue, intValue, set, setIntValue`

Methods inherited from interface org.apache.xmlbeans.XmlLong
`getLongValue, longValue, set, setLongValue`

Methods inherited from interface org.apache.xmlbeans.XmlInteger
`bigIntegerValue, getBigIntegerValue, set, setBigIntegerValue`

Methods inherited from interface org.apache.xmlbeans.XmlDecimal
`bigDecimalValue, getBigDecimalValue, set, setBigDecimalValue`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### byteValue

    byte byteValue()

  Deprecated. replaced by `getByteValue()`

  Returns this value as a byte

### set

    void set(byte s)

  Deprecated. replaced by `setByteValue(byte)`

  Sets this value as a byte

### getByteValue

    byte getByteValue()

  Returns this value as a byte

### setByteValue

    void setByteValue(byte s)

  Sets this value as a byte

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD